package com.sckw.core.model.enums;

/**
 * @author lfdc
 * @description redis生成编号 key枚举定义
 * @date 2023-08-25 15:07:23
 */
public enum OrderRuleEnum {

    /**
     * 物流订单
     */
    LOGISTICS_ORDER("logisticsOrder", "T", "物流订单业务类别"),

    /**
     * 贸易订单
     */
    TRADE_ORDER("tradeOrder", "B", "贸易订单业务类别"),

    /**
     * 运单
     */
    WAYBILL_ORDER("waybillOrder", "T", "运单业务类别"),

    /**
     * 对账
     */
    LEDGER_LOGISTICS_ORDER("ledgerLogisticsOrder", "TR", "物流对账业务类别"),
    LEDGER_TRADE_ORDER("ledgerTradeOrder", "BR", "贸易对账业务类别"),

    /**
     * 结算
     */
    SETTLEMENT_LOGISTICS_ORDER("settlementLogisticsOrder", "TP", "物流结算业务类别"),
    SETTLEMENT_TRADE_ORDER("settlementTradeOrder", "BP", "贸易结算业务类别")    ;


    private final String value;
    private final String code;
    private final String destination;


    OrderRuleEnum(String value, String code, String destination) {
        this.value = value;
        this.code = code;
        this.destination = destination;
    }

    public String getValue() {
        return value;
    }

    public String getCode() {
        return code;
    }

    public String getDestination() {
        return destination;
    }


}
